extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "mk:tremor_layer1",
    "layer2": "mk:tremor_layer2",
    "lights": "mk:tremor_lights",
    "hood": "mk:tremor_hood"
});


function initEffects(renderer) {
    //Hood
    renderer.setTexture((_entity, renderLayer) => renderLayer == "HELMET" ? "hood": renderLayer == "LEGGINGS" ? "layer2" : "layer1");
}
    
    function init(renderer) {
        parent.init(renderer);
    renderer.setLights((_entity, renderLayer) => renderLayer == "HELMET" ? "lights" : null);
    }
    
